/*========== GOOGLE FONTS ==========*/
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/*========== VARIABLES CSS ==========*/
:root {
  /*===== Colors =====*/
  --soft-white: #fbfaf5;
  --soft-black: #181a18;
  --white: #ffffff;
  --black: #0a0a0a;
  --srun-green: #14ac04;
  --srun-orange: #f59525;
  --sride-blue: #282936;
  --scoopa-purple: #af1d8a;
  --scoopa-purple-l: #ffe9f9;
  --text-grey: #444950;
  --text-grey-d: #495057;
  --safi-red: #fa0000;
  --darkest: #0a0a0a;
  --success: #13ae8f;
  --error: #ff3333;
  --hopeful-blue: #062639;
  --dark-blue: #03030f;
  --dark-midnight-blue: #000204;
  --dead-blue: #03030f;
  --primary-blue: #26a3de;
  --primary-green: #18a87c;
  --shy-green: #daf4ec;
  --shy-blue: #c0e4f5;
  --confident-blue: #68bfe8;
  --soothing-blue: #ecf7fc;
  /*===== Font and typography =====*/
  --body-font-2: "Inter", sans-serif;
  --body-font: "Poppins", sans-serif;
  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
  --fs-6: 6rem;
  --fs-5-5: 5.5rem;
  --fs-5: 5rem;
  --fs-4-5: 4.5rem;
  --fs-4: 4rem;
  --fs-3-5: 3.5rem;
  --fs-3: 3rem;
  --fs-2-5: 2.5rem;
  --fs-2: 2rem;
  --fs-1-5: 1.5rem;
  --fs-1: 1rem;
  --fs-0-95: 0.95rem;
  --fs-0-85: 0.85rem;
  --fs-0-75: 0.75rem;
  --fs-0-65: 0.65rem;
  --fs-0-5: 0.5rem;
  --fs-0-25: 0.275rem;
  --fs-0-2: 0.2rem;
  /*===== Font weight =====*/
  --font-medium: 500;
  --font-semi-bold: 600;
  /*===== Margenes Bottom =====*/
  /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
  --mb-0-25: 0.25rem;
  --mb-0-5: 0.5rem;
  --mb-0-75: 0.75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;
  --mb-3-5: 3rem;
  --mb-4: 4rem;
  --mb-4-5: 4.5rem;
  --mb-5: 5rem;
  --mb-5-5: 5.5rem;
  --mb-6: 6rem;
  --mb-6-5: 6.5rem;
  --mb-7: 7rem;
  --mb-7-5: 7.5rem;
  --mb-8: 8rem;
  --mb-8-5: 8.5rem;
  --mb-9: 9rem;
  --mb-9-5: 9.5rem;
  --mb-10: 10rem;
  --mb-10-5: 10.5rem;
  --mb-11: 11rem;
  --mb-11-5: 11.5rem;
  --mb-12: 12rem;
}

/*========== HEADER SECTION ==========*/
.hero {
  width: 100%;
  height: 100vh;
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--dark-blue);
}

.hero::after {
  width: 100%;
  height: 100%;
  content: "";
  position: absolute;
  z-index: 10;
  top: 0;
  left: 0;
  background: rgba(3, 3, 15, 0.6);
}

.hero video {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 5;
  object-fit: cover;
  font-family: "object-fit: cover";
}

.hero-content {
  position: relative;
  z-index: 20;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  row-gap: var(--mb-0-5);
  color: var(--soft-white);
  margin-top: var(--mb-4);
  /* border: 1px red solid; */
}

.hero-content h1 {
  font-size: var(--fs-5);
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  color: var(--white);
}

.hero-content p {
  width: 80%;
  font-size: 1.8rem;
  font-weight: 500;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  color: var(--white);
  margin-bottom: var(--mb-1);
}

.hero-content span {
  width: 80%;
  font-size: 1.2rem;
  font-weight: 300;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  color: var(--white);
  margin-bottom: var(--mb-2);
}

.hero-btn {
  width: fit-content;
  height: auto;
  padding: var(--mb-0-75) var(--mb-1-5);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.2rem;
  font-weight: 500;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  background: var(--scoopa-purple);
  color: var(--white);
  border: none;
  outline: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.hero-btn:hover {
  transform: scale(0.95);
}

/*========== NEEDS SECTION ==========*/
.b-needs {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--mb-6);
  /* background-color: var(--soft-white); */
  background: #efefef;
}

.b-needs-container {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-2);
}

.b-needs-title {
  width: 100%;
  height: auto;
  padding: var(--mb-1);
  display: flex;
  justify-content: center;
  align-items: center;
  /* border: 1px green solid; */
}

.b-needs-title h3 {
  font-size: var(--fs-2);
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
}

.b-needs-cards {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: space-around;
  align-items: center;
  column-gap: var(--mb-1);
}

.bn-card {
  flex: 0 0 30%;
  height: 300px;
  padding: var(--mb-2);
  display: flex;
  justify-content: flex-end;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-1-5);
  box-shadow: rgba(17, 17, 26, 0.05) 0px 1px 0px,
    rgba(17, 17, 26, 0.1) 0px 0px 8px;
  border-radius: 10px;
  cursor: pointer;
  transition: all 0.3s ease;
  background-color: var(--white);
}

.bn-card:hover {
  transform: scale(0.95);
  box-shadow: rgba(17, 17, 26, 0.1) 0px 0px 16px;
}

#ride-hailing-img {
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#delivery-img {
  height: 175px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#rent-img {
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.bn-card p {
  font-size: 1.3rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
}

/*========== B-WHY SECTION ==========*/
.b-why {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--mb-6);
  /* border: 1px red solid; */
  background: var(--white);
}

.b-why-container {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-4);
  background: var(--white);
}

.b-why-title {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-0-5);
  /* border: 1px blue solid; */
}

.b-why-title h3 {
  font-size: 2rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
}

.b-why-title span {
  width: 5%;
  height: 5px;
  background-color: var(--scoopa-purple);
}

.b-why-cards {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-3);
  /* border: 1px orange solid; */
  padding: 0 var(--mb-4);
}

.bw-card {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.bwc-img {
  flex: 0 0 40%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  /* border: 1px orange solid; */
}

.bwc-img img {
  width: 90px;
  display: flex;
  justify-content: center;
  align-items: center;
  object-fit: cover;
}

.bwc-content {
  flex: 0 0 60%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  row-gap: var(--mb-0-25);
  padding-right: var(--mb-2);
}

.bwc-content h6 {
  font-size: 1.2rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
}

.bwc-content p {
  width: 80%;
  font-size: 1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
}

/*========== B-SERVICES SECTION ==========*/
.b-services {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--mb-6);
  /* border: 1px red solid; */
  background: #efefef;
}

.b-services-container {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-6);
  /* background: var(--white); */
  /* border: 1px red solid; */
}

.bs-card,
.bs-card-reversed {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  column-gap: var(--mb-2);
  /* border: 1px blue solid; */
}

.bsc-content,
.bscr-content {
  flex: 0 0 45%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  row-gap: var(--mb-0-5);
  padding: 0 var(--mb-1);
  /* border: 1px yellow solid; */
}

.bsc-content h6,
.bscr-content h6 {
  font-size: 1.5rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  color: var(--scoopa-purple);
}

.bsc-content p,
.bscr-content p {
  width: 90%;
  font-size: 1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  line-height: 28px;
}

.bsc-img,
.bscr-img {
  flex: 0 0 45%;
  height: 350px;
  display: flex;
  justify-content: center;
  align-items: center;
  /* border: 1px teal solid; */
  border-radius: 15px;
  overflow: hidden;
}

.bsc-img img,
.bscr-img img {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  object-fit: cover;
}

/*========== B-INDUSTRIES SECTION ==========*/
.b-industries {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--mb-6);
  /* border: 1px red solid; */
  background: var(--white);
}

.b-industries-container {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-4);
  background: var(--white);
}

.bi-title {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: var(--mb-0-5);
  /* border: 1px blue solid; */
}

.bi-title h3 {
  font-size: 2rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
}

.bi-title span {
  width: 5%;
  height: 5px;
  background-color: var(--scoopa-purple);
}

.bi-cards {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-wrap: wrap;
  /* border: 1px orange solid; */
  /* padding: 0 var(--mb-4); */
  row-gap: var(--mb-4);
}

.bic {
  flex: 0 0 50%;
  height: auto;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  row-gap: var(--mb-1);
  padding: 0 var(--mb-4);
  /* border: 1px teal solid; */
}

.bic img {
  width: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  object-fit: cover;
}

.bic h6 {
  font-size: 1.5rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
}

.bic p {
  font-size: 1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  line-height: 30px;
}

/*==========  B-FAQ SECTION ==========*/
.b-faq {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #efefef;
  padding: var(--mb-4) var(--mb-8);
}

.b-faq__container {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  row-gap: var(--mb-2);
  /* border: 1px turquoise solid; */
}

.b-faq__title {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.b-faq__title h3 {
  font-size: 2rem;
  font-weight: 600;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
}

.b-faq__cards {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  row-gap: var(--mb-0-5);
  /* border: 1px green solid; */
}

.bfaq-card {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  row-gap: var(--mb-0-25);
  border: 2px transparent solid;
  padding: var(--mb-0-5) var(--mb-0-5) var(--mb-0-5) 0;
  transition: all 0.3s ease;
  cursor: pointer;
}

.bfaq-card:hover {
  border-bottom: 2px var(--scoopa-purple) solid;
}

.bfaq-card h6 {
  width: 100%;
  height: auto;
  font-size: 1.1rem;
  font-weight: 500;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.bfaq-card p {
  width: 90%;
  height: auto;
  font-size: 1rem;
  font-weight: 400;
  font-family: var(--body-font);
  letter-spacing: -0.01em;
  display: none;
}

.bfaq-card i {
  font-size: 1.1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.3s ease;
}

.bfaq-card i:hover {
  color: var(--scoopa-purple);
}

/* MEDIA QUERY SECTION */
@media screen and (max-width: 480px) {
  /*========== HEADER SECTION ==========*/

  .hero-content {
    height: 100%;
    /* border: 1px red solid; */
    margin: 0;
    padding-top: var(--mb-4);
  }

  .hero-content h1 {
    font-size: var(--fs-3);
    line-height: 50px;
  }

  .hero-content p {
    width: 100%;
    font-size: 1.4rem;
    margin-bottom: var(--mb-1);
  }

  .hero-content span {
    width: 80%;
    font-size: 1rem;
    margin-bottom: var(--mb-1);
  }

  .hero-btn {
    width: fit-content;
    height: auto;
    padding: var(--mb-0-75) var(--mb-1-5);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.2rem;
    font-weight: 500;
    font-family: var(--body-font);
    letter-spacing: -0.01em;
    background: var(--scoopa-purple);
    color: var(--white);
    border: none;
    outline: none;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.3s ease;
  }

  .hero-btn:hover {
    transform: scale(0.95);
  }

  /*========== NEEDS SECTION ==========*/
  .b-needs {
    padding: var(--mb-4) var(--mb-2);
    background: #efefef;
  }

  .b-needs-cards {
    justify-content: center;
    flex-direction: column;
    gap: 0;
    row-gap: var(--mb-2);
  }

  .bn-card {
    width: 100%;
    height: 400px;
    padding: var(--mb-2);
  }

  .bn-card:hover {
    transform: scale(0.95);
    box-shadow: rgba(17, 17, 26, 0.1) 0px 0px 16px;
  }

  #ride-hailing-img {
    height: 80px;
  }

  #delivery-img {
    height: 120px;
  }

  .bn-card p {
    font-size: 1.3rem;
    font-weight: 600;
    font-family: var(--body-font);
    letter-spacing: -0.01em;
  }

  /*========== B-WHY SECTION ==========*/
  .b-why {
    padding: var(--mb-4) var(--mb-2);
    /* border: 1px red solid; */
    background: var(--white);
  }

  .b-why-container {
    row-gap: var(--mb-4);
    background: var(--white);
  }

  .b-why-title {
    row-gap: var(--mb-0-75);
  }

  .b-why-title h3 {
    font-size: 1.5rem;
  }

  .b-why-title span {
    width: 15%;
  }

  .b-why-cards {
    row-gap: var(--mb-3);
    /* border: 1px orange solid; */
    padding: 0 var(--mb-2);
  }

  .bw-card {
    flex-direction: column;
    row-gap: var(--mb-1);
  }

  .bwc-img {
    flex: 0 0 auto;
    width: 100%;
    /* border: 1px orange solid; */
  }

  .bwc-img img {
    width: 60px;
  }

  .bwc-content {
    flex: 0 0 auto;
    width: 100%;
    align-items: center;
    row-gap: var(--mb-0-25);
    padding: 0;
  }

  .bwc-content h6 {
    font-size: 1.1rem;
  }

  .bwc-content p {
    width: 100%;
    font-size: 0.98rem;
    text-align: center;
  }

  /*========== B-SERVICES SECTION ==========*/
  .b-services {
    padding: var(--mb-4) var(--mb-2);
    /* border: 1px red solid; */
    background: #efefef;
  }

  .b-services-container {
    row-gap: var(--mb-4);
    /* background: var(--white); */
    /* border: 1px red solid; */
  }

  .bs-card,
  .bs-card-reversed {
    justify-content: center;
    flex-direction: column-reverse;
    row-gap: var(--mb-1);
    /* border: 1px blue solid; */
  }

  .bs-card-reversed {
    flex-direction: column;
  }

  .bsc-content,
  .bscr-content {
    flex: 0 0 auto;
    width: 100%;
    height: auto;
    align-items: center;
    padding: 0;
    /* border: 1px yellow solid; */
    row-gap: var(--mb-0-5);
  }

  .bsc-content h6,
  .bscr-content h6 {
    font-size: 1.3rem;
    text-align: center;
  }

  .bsc-content p,
  .bscr-content p {
    width: 100%;
    font-size: 0.98rem;
    font-weight: 400;
    line-height: 26px;
    color: var(--text-grey);
    text-align: center;
  }

  .bsc-img,
  .bscr-img {
    flex: 0 0 auto;
    width: 100%;
    height: 200px;
    /* padding: 0 var(--mb-1); */
  }

  /*========== B-INDUSTRIES SECTION ==========*/
  .b-industries {
    padding: var(--mb-4) var(--mb-2);
  }

  .b-industries-container {
    row-gap: var(--mb-4);
  }

  .bi-title h3 {
    font-size: 1.5rem;
  }

  .bi-title span {
    width: 15%;
  }

  .bi-cards {
    align-items: center;
    flex-wrap: nowrap;
    flex-direction: column;
    /* border: 1px orange solid; */
    row-gap: var(--mb-3);
  }

  .bic {
    flex: 0 0 auto;
    width: 100%;
    justify-content: center;
    align-items: center;
    row-gap: var(--mb-1);
    padding: 0;
    /* border: 1px teal solid; */
  }

  .bic img {
    width: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    object-fit: cover;
  }

  .bic h6 {
    font-size: 1.2rem;
    text-align: center;
  }

  .bic p {
    font-size: 0.98rem;
    text-align: center;
    line-height: 28px;
    color: var(--text-grey);
  }

  /*==========  B-FAQ SECTION ==========*/
  .b-faq {
    padding: var(--mb-4) var(--mb-2);
  }

  .b-faq__container {
    justify-content: center;
    align-items: center;
    /* border: 1px turquoise solid; */
    row-gap: var(--mb-1-5);
  }

  .b-faq__title {
    justify-content: center;
  }

  .b-faq__title h3 {
    font-size: 1.5rem;
  }

  /* .b-faq__cards {
    border: 1px green solid;
  } */

  .bfaq-card {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    row-gap: var(--mb-0-25);
    border: 2px transparent solid;
    padding: var(--mb-0-5) var(--mb-0-5) var(--mb-0-5) 0;
    transition: all 0.3s ease;
    cursor: pointer;
  }

  .bfaq-card:hover {
    border-bottom: 2px var(--scoopa-purple) solid;
  }

  .bfaq-card h6 {
    width: 100%;
    height: auto;
    font-size: 1rem;
    font-weight: 500;
    font-family: var(--body-font);
    letter-spacing: -0.01em;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .bfaq-card p {
    font-size: 0.98rem;
    color: var(--text-grey);
    display: none;
  }

  .bfaq-card i {
    font-size: 1rem;
  }

  .bfaq-card i:hover {
    color: var(--scoopa-purple);
  }
}
